use strict;
use Test::More tests => 6;
use Data::Dumper;
use Carp qw(croak);
use lib 't';
use testlib;

$Data::Dumper::Indent = 1;

BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  var a = [ ];
  var a1 = [ , ];
  var a2 = [ ,,,, ,,,, ];
  var b = [ 1, 2, 3 ];
  var b1 = [ 1+4, 2, 3 ];
  var b2 = [ 1, 2+5, 3 ];
  var b3 = [ 1, 2, 3+f() ];
  var c = [ a, b ];
  var d = [ [ a ], [ a, b ] ];
};

=for later

=cut

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree, undef, 'JS was parsed successfully');

my @nodes = $tree->findnodes('/AST');
is(scalar @nodes, 1, "AST constructed correctly");

@nodes = $tree->findnodes('/AST/Program');
is(scalar @nodes, 1, "Program is top level node");

@nodes = $tree->findnodes('//ArrayLiteral');
is(scalar @nodes, 11, "11 array literals found")
  or do { diag Dumper \@nodes; diag $tree->toString };


