use strict;
use Test::More tests => 6;
use Data::Dumper;
use Carp qw(croak);
use lib 't';
# use testlib;

BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  {}

  {
  }

  {};
  {}
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");

my @nodes = $tree->findnodes('/AST');
is(scalar @nodes, 1, "AST constructed correctly");

@nodes = $tree->findnodes('/AST/Program');
is(scalar @nodes, 1, "Program is top level node");

@nodes = $tree->findnodes('//Block');
is(scalar @nodes, 4, "4 Block statements found")
  or do { diag Dumper \@nodes; diag $tree->toString };

@nodes = $tree->findnodes('//Statement/Block');
is(scalar @nodes, 4, "All block statements are below Statements")
  or diag $tree->toString;


