use strict;
use Test::More tests => 5;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{

  "This is a string with    much    whitespace";

  'This is a string with    much    whitespace';
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");

my @nodes = $tree->findnodes('/AST');
is(scalar @nodes, 1, "AST constructed correctly");

@nodes = $tree->findnodes('/AST/Program');
is(scalar @nodes, 1, "Program is top level node");

@nodes = $tree->findnodes('//String/text()[. = "This is a string with    much    whitespace"]');
is(scalar @nodes, 2, "Whitespace in strings gets preserved")
  or do { diag $_->toString for ($tree->findnodes('//String/text()'))};
