use strict;
use Test::More tests => 5;
use Data::Dumper;
use Carp qw(croak);

$Data::Dumper::Indent = 1;

BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  function f() {
    // supposedly returns a class
  };

  // create a new instance:
  var a = new f();

  // Cribbed from http://devedge.netscape.com/library/manuals/2000/javascript/1.5/guide/obj.html#1008327
  // Thanks to castaway!
  function car(make, model, year) {
   this.make = make;
   this.model = model;
   this.year = year;
  }

  var mycar = new car("Eagle", "Talon TSi", 1993);
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree, undef, 'JS was parsed successfully');

my @nodes = $tree->findnodes('/AST');
is(scalar @nodes, 1, "AST constructed correctly");

@nodes = $tree->findnodes('/AST/Program');
is(scalar @nodes, 1, "Program is top level node");

# diag $tree->toString;
