use strict;
use Test::More tests => 6;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  while (1) {
    if (0)
      break;

    if (1)
      break HERE;
  };
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree,undef,'Got a parse');

my @nodes;

@nodes = $tree->findnodes('//BreakStatement');
is(scalar @nodes, 2, "2 Break statements found")
  or do { diag $_->toString for $tree->findnodes('//BreakStatement' ) };

@nodes = $tree->findnodes('//BreakStatement[./OptionalIdentifier]');
is(scalar @nodes, 1, "1 break statement without a label found")
  or do { diag $_->toString for $tree->findnodes('//BreakStatement' ) };

@nodes = $tree->findnodes('//BreakStatement[./Identifier]');
is(scalar @nodes, 1, "1 break statement with a label found")
  or do { diag $_->toString for $tree->findnodes('//BreakStatement' ) };

