use strict;
use Test::More tests => 7;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  do {} while (1);
  do { alert("Hello world"); } while (0);
  do alert(); while (2 == 2);
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree,undef,'Got a parse');

my @nodes;

@nodes = $tree->findnodes('//DoStatement');
is(scalar @nodes, 3, "3 do statements found")
  or do { diag $_->toString for $tree->findnodes('//DoStatement' ) };


@nodes = $tree->findnodes('//DoStatement[.//Number/text() = 1]');
is(scalar @nodes, 1, "1 if statements with expresssion '1' found")
  or do { diag $_->toString for $tree->findnodes('//DoStatement' ) };

@nodes = $tree->findnodes('//DoStatement[.//Number/text() = 2]');
is(scalar @nodes, 1, "1 if statements with expresssion '2' found")
  or do { diag $_->toString for $tree->findnodes('//DoStatement' ) };

@nodes = $tree->findnodes('//DoStatement[.//Number/text() = 0]');
is(scalar @nodes, 1, "1 if statements with expresssion '0' found")
  or do { diag $_->toString for $tree->findnodes('//DoStatement' ) };

