use strict;
use Test::More tests => 5;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  var a;
  for (a=0;;) alert("Hello World!");
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree,undef,'Got a parse');

my @nodes;

@nodes = $tree->findnodes('//CForStatement');
is(scalar @nodes, 1, "1 for statements found")
  or do { diag $_->toString for $tree->findnodes('//CForStatement' ) };

@nodes = $tree->findnodes('//CForStatement[./Statement//CallMemberArgs/Identifier/text() = "alert"]');
is(scalar @nodes, 1, "1 for statement found")
  or do { diag $_->toString for $tree->findnodes('//CForStatement' ) };


