use strict;
use Test::More tests => 4;
use Data::Dumper;
BEGIN { use_ok('Javascript::PurePerl') };

my $JS = q{
  var a = 5;

  switch (a) {
    case 1 : ;
    case 2 : ;
    case 3 : ;
    default : ;
    case 4 : ;
    case 5 : ;
  };
};

my ($parser,$tree);
eval {
  $parser = Javascript::PurePerl->new();
  $tree = $parser->parse( code => $JS );
};
is($@,"","No crash parsing JS");
isn't($tree,undef,'Got a parse');

my @nodes;

@nodes = $tree->findnodes('//SwitchStatement');
is(scalar @nodes, 1, "1 switch statement found")
  or do { diag $_->toString for $tree->findnodes('//SwitchStatement' ) };

